package com.xinxincaravan.caravan.vehicle.entity;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Table(name = "branch_company")
@Data
public class BranchCompany {
    @Id
    @GeneratedValue(generator = "JDBC")
    private Integer id;

    /**
     * 分公司名称
     */
    private String name;

    /**
     * 分支机构类型
     */
    @Column(name = "branch_type")
    private Integer branchType;

    /**
     * 分支机构所属机构
     */
    @Column(name = "subordinate_branch")
    private Integer subordinateBranch;

    /**
     * 分支机构地址：经纬度
     */
    private String location;

    /**
     * 地址-省/直辖市(编码)
     */
    @Column(name = "addr_province")
    private Integer addrProvince;

    /**
     * 地址-市(编码)
     */
    @Column(name = "addr_city")
    private Integer addrCity;

    /**
     * 地址-镇/县（编码）
     */
    @Column(name = "addr_town")
    private Integer addrTown;

    /**
     * 详细地址
     */
    @Column(name = "addr_detail")
    private String addrDetail;

    private Date createTime;

    private Date updateTime;


}